package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.PapSkriningGizi;
import com.jasamedika.medifirst2000.entities.Pasien;
import com.jasamedika.medifirst2000.helper.Caption;

public class InputPAPSkriningGiziVO extends BaseTransactionVO{
	@NotNull(message = "tglRegistrasi tidak boleh kosong")
	@Column(name = "tglRegistrasi")
	@Caption(value = "tglRegistrasi")
	private Date tglRegistrasi;
	@ManyToOne
	@JoinColumn(name = "ObjectPasienFk")
	@NotNull(message = "Pasien tidak boleh kosong")
	private PasienVO pasien;
	@ManyToOne
	@JoinColumn(name = "ObjectPAPSkriningGiziFk")
	@NotNull(message = "PAPSkriningGizi tidak boleh kosong")
	private PapSkriningGiziVO skriningGizi;
	
	public Date getTglRegistrasi() {
		return tglRegistrasi;
	}
	public void setTglRegistrasi(Date tglRegistrasi) {
		this.tglRegistrasi = tglRegistrasi;
	}
	public PasienVO getPasien() {
		return pasien;
	}
	public void setPasien(PasienVO pasien) {
		this.pasien = pasien;
	}
	public PapSkriningGiziVO getSkriningGizi() {
		return skriningGizi;
	}
	public void setSkriningGizi(PapSkriningGiziVO skriningGizi) {
		this.skriningGizi = skriningGizi;
	}

}
